Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229383 - MC Segmentation fault with UTF-8 patches in internal editor
Summary: MC Segmentation fault with UTF-8 patches in internal editor
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: mc
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-20 19:18 UTC by Richard Blakie
Modified: 2013-07-02 23:19 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-16 16:46:59 UTC


Attachments (Terms of Use)

Description Richard Blakie 2007-02-20 19:18:01 UTC
Description of problem:

While using the internal editor to edit a text file containing ISO-8859-1
characters (e.g. e acute accent) and holding the Control key while hitting the
right arrow key to skip next word, MC gives a segmentation fault as soon as it
skips over one of the accented characters. E.g. the following text in a text
file will cause a segmentation fault when trying to skip over the second word
'sélectionnée' with the Control key depressed and hitting the Right Arrow key.
Happens with any special-non displayable iso-8859-1 character

Sample text : Monnaie sélectionnée


Version-Release number of selected component (if applicable):
The release is mc-4.6.1a-35.fc5.i386.rpm, and also appears in fc6, and UBUNTU.

How reproducible:

Always


Steps to Reproduce:
1.edit the text 'Monnaie sélectionnée  'above in the internal editor and skip
over the accents using the Ctrl -> (right arrow) keys.
2. Result is segmentation fault
3.
  
Actual results:
Result is segmentation fault

Expected results:
No segmentation fault. Problem does not occur without the UTF-8 patches
see : https://savannah.gnu.org/bugs/?18913

Additional info:
Reported to https://savannah.gnu.org/bugs/?18913

The locale is :

LANG=en_US.UTF-8
LC_CTYPE="en_US.UTF-8"
LC_NUMERIC="en_US.UTF-8"
LC_TIME="en_US.UTF-8"
LC_COLLATE="en_US.UTF-8"
LC_MONETARY="en_US.UTF-8"
LC_MESSAGES="en_US.UTF-8"
LC_PAPER="en_US.UTF-8"
LC_NAME="en_US.UTF-8"
LC_ADDRESS="en_US.UTF-8"
LC_TELEPHONE="en_US.UTF-8"
LC_MEASUREMENT="en_US.UTF-8"
LC_IDENTIFICATION="en_US.UTF-8"
LC_ALL=

Comment 1 Jindrich Novy 2007-04-16 16:46:59 UTC
fixed in mc-4.6.1a-45. Thanks for reporting!


Note You need to log in before you can comment on or make changes to this bug.